<?php
/**
 * 
 * Header.
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <title><?php wp_title('|', true, 'right'); ?> <?php bloginfo('name'); ?></title>
  <meta name="description" content="">
  <meta name="author" content="">
  <meta name="viewport" content="width=device-width">
  <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
  <?php wp_head(); ?>
  <script>
    const _dittoURI_ = "<?= get_template_directory_uri() ?>",
          _dittoURL_ = "<?= get_site_url() ?>";
  </script>
</head>
<style>
  :root{
    --color-one: <?= get_field('color_one', 'option'); ?>;
    --color-two: <?= get_field('color_two', 'option'); ?>;
    --color-three: <?= get_field('color_three', 'option'); ?>;
    --color-four: <?= get_field('color_four', 'option'); ?>;
    --color-five: <?= get_field('color_five', 'option'); ?>;
    --color-six: <?= get_field('color_six', 'option'); ?>;
    --color-seven: <?= get_field('color_seven', 'option'); ?>;
  }
</style>
<body <?php body_class(); ?>>
<div id="page"> <!-- +Page container -->
  <header id="header-wrapper">
    <?php get_template_part('partials/globals/header'); ?>
  </header>