   
<?php
/**
 * 
 * Partial Name: footer
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$logo = get_field('logo_veige', 'option');
$contact = get_field('contact', 'option');
$nav = get_field('footer_nav', 'option');
$social_networks = get_field('social_network', 'option');
?>
<section class="footer-partial-8dfe1b">
    <div class="container">
        <div class="footer-content">
            <div class="row justify-content-between">
                <div class="col-12 col-md-6 p-0">
                    <div class="left-content">
                        <?php if($social_networks): ?>
                            <ul class="social-networks d-flex d-md-none">
                                <?php foreach($social_networks as $item): ?>
                                    <li>
                                        <a href="<?= $item['url'] ?>" target="_blank">
                                            <?= $item['icon']; ?>
                                        </a>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif;?>
                        <div class="form">
                            <h2><?= get_field('suscription_title', 'option'); ?></h2>
                            <div class="the-form">
                                <?= do_shortcode(get_field('shortcode_form', 'option')); ?>
                            </div>
                        </div>
                        <?php if($logo): ?>
                            <div class="logo d-none d-md-block">
                                <img src="<?= $logo['url']; ?>" alt="<?= $logo['title']; ?>">
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-12 col-md-5 p-0">
                    <?php if(!empty($contact['contact_items'])): ?>
                        <div class="contact">
                            <h2><?= $contact['title']; ?></h2>
                            <ul class="contact-nav">
                                <?php foreach($contact['contact_items'] as $item): ?>
                                    <li>
                                        <span class="icon">
                                            <img src="<?= $item['icon']['url']; ?>" alt="<?= $item['icon']['title']; ?>">
                                        </span>
                                        <span class="contact-item">
                                            <a href="<?= $item['link']['url']; ?>" target="<?= $item['link']['target']; ?>">
                                                <?= $item['text_link']; ?>
                                            </a>
                                            <?php if($item['enable_link_two'] === true): ?>
                                                / 
                                                <a href="<?= $item['link_two']['url']; ?>" target="<?= $item['link_two']['title']; ?>">
                                                    <?= $item['text_link_two']; ?>
                                                </a>
                                            <?php endif; ?>
                                        </span>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </div>
                    <?php endif; if($nav): ?>
                        <div class="nav-content">
                            <?php foreach($nav as $item): if($item['links']): ?>
                                <div class="the-nav">
                                    <h2><?= $item['title']; ?></h2>
                                    <ul class="nav-footer">
                                        <?php foreach($item['links'] as $li): ?>
                                            <li>
                                                <a href="<?= $li['link']['url']; ?>" target="<?= $li['link']['target']; ?>">
                                                    <?= $li['link']['title']; ?>
                                                </a>
                                            </li>
                                        <?php endforeach; ?>
                                    </ul>
                                </div>
                            <?php endif; endforeach; ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</section>