   
<?php
/**
 * 
 * Partial Name: blog
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$blog = new WP_Query(array('post_type' => 'post', 'post_status' => 'publish', 'post_per_page' => 1, 'order' => 'DESC'));
if($blog->have_posts()):
?>
<section class="blog-partial-211661">
    <div class="container">
        <div class="row align-items-end">
            <div class="col-12">
                <div class="title">
                    <h2>Blog</h2>
                    <a href="<?= home_url(); ?>/blog">
                        <span>Ver todo</span>
                        <svg xmlns="http://www.w3.org/2000/svg" width="34" height="17" viewBox="0 0 34 17" fill="none">
                            <path d="M0 8.5H33" stroke="#313131"/>
                            <path d="M25.9287 1L33.0001 8.5L25.9287 16" stroke="#313131"/>
                        </svg>
                    </a>
                </div>
            </div>
            <?php while($blog->have_posts()): $blog->the_post(); ?>
                <div class="col-12 col-md-4">
                    <span class="text-before-title d-block d-md-none">Artículo más reciente</span>
                    <div class="image-contain">
                        <img src="<?= get_the_post_thumbnail_url($blog->ID); ?>" alt="<?= get_the_title($blog->ID); ?>">
                    </div>
                </div>
                <div class="col-12 col-md-8">
                    <div class="text-contain">
                        <span class="text-before-title d-none d-md-block">Artículo más reciente</span>
                        <h3><?= get_the_title($blog->ID); ?></h3>
                        <p><?= get_field('short_description', $blog->ID); ?></p>
                        <a href="<?= get_permalink($blog->ID); ?>">
                            <span>Seguir leyendo</span>
                            <svg xmlns="http://www.w3.org/2000/svg" width="34" height="17" viewBox="0 0 34 17" fill="none">
                                <path d="M0 8.49976H33" stroke="#FF9C24"/>
                                <path d="M25.9287 1L33.0001 8.5L25.9287 16" stroke="#FF9C24"/>
                            </svg>
                        </a>
                    </div>
                </div>
            <?php endwhile;  wp_reset_postdata(); ?>
        </div>
    </div>
</section>
<?php endif; ?>                