   
<?php
/**
 * 
 * Partial Name: our-products
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$green_content = get_field('green_content');
$our_products = get_field('our_products');
$key_nav = -1;
$key = -1;
?>
<section class="our-products-partial-175fb0">
    <?php if($green_content): ?>
        <div class="container">
            <div class="green-content">
                <div class="row">
                    <div class="col-12">
                        <img src="<?= $green_content['logo']['url']; ?>" alt="<?= $green_content['logo']['title']; ?>" class="icon">
                        <h2 class="title"><?= $green_content['title']; ?></h2>
                        <p class="description"><?= $green_content['description']; ?></p>
                    </div>
                </div>
            </div>
        </div>
    <?php 
        endif; 
        if($our_products['products_category']):
    ?>
        <div class="products-contain">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="title-contain">
                            <h2><?= $our_products['title']; ?></h2>
                            <a href="<?= $our_products['product_page']; ?>">
                                <span>Ver todos</span>
                                <svg xmlns="http://www.w3.org/2000/svg" width="34" height="17" viewBox="0 0 34 17" fill="none">
                                    <path d="M0 8.50006H33" stroke="#313131"/>
                                    <path d="M25.9287 1L33.0001 8.5L25.9287 16" stroke="#313131"/>
                                </svg>
                            </a>
                        </div>
                        <div class="products-slide owl-carousel">
                            <?php 
                                foreach($our_products['products_category'] as $category): 
                                $key++;
                                $custom_style_image = get_field('custom_image_styles', $category->taxonomy . '_' . $category->term_id);
                                $width = get_field('max_width', $category->taxonomy . '_' . $category->term_id);
                            ?>
                                <div class="item">
                                    <input type="hidden" class="position" value="<?= $key; ?>">
                                    <div class="row align-items-md-end">
                                        <div class="col-6 pb-5">
                                            <h3 class="name"><?= $category->name; ?></h3>
                                            <p class="description"><?= get_field('short_description', $category->taxonomy . '_' . $category->term_id); ?></p>
                                            <a href="<?= home_url(); ?>/product_cat/<?= $category->slug; ?>">
                                                <span>Ver más <?= $category->name; ?></span>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="34" height="17" viewBox="0 0 34 17" fill="none">
                                                    <path d="M0 8.5H33" stroke="#9A871E"/>
                                                    <path d="M25.9287 1L33.0001 8.5L25.9287 16" stroke="#9A871E"/>
                                                </svg>
                                            </a>
                                        </div>
                                        <div class="col-6">
                                            <div class="image-contain">
                                                <img src="<?= get_field('feature_image', $category->taxonomy . '_' . $category->term_id)['url']; ?>" 
                                                alt="<?= $category->name; ?>" <?php if($custom_style_image === true): ?>style="max-width:<?= $width; ?>px;"<?php endif; ?>>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                        <div class="slide-nav owl-carousel">
                            <?php foreach($our_products['products_category'] as $category): $key_nav++; ?>
                                <div class="item">
                                    <input type="hidden" class="position" value="<?= $key_nav; ?>">
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script>
            $('.products-slide').owlCarousel({
                autoplay:false,
                loop:false,
                nav:false,
                dots:false,
                margin:10,
                items:1,
                animateOut: 'fadeOut'
            }).css({'visibility':'visible'})
            .on('translated.owl.carousel', function() {
                item_position_nav();
            });
            $('.slide-nav').owlCarousel({
                autoplay:false,
                loop:false,
                nav:true,
                navText:[
                    `<svg width="65" height="37" viewBox="0 0 65 37" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <rect x="65.0005" y="37" width="65.0002" height="37" rx="18.5" transform="rotate(180 65.0005 37)" fill="#E5D6B9"/>
                        <path d="M49.0005 18.4999L16.0005 18.4999" stroke="white" stroke-width="1.5" stroke-linecap="round"/>
                        <path d="M23.0718 26L16.0003 18.5L23.0718 11" stroke="white" stroke-width="1.5" stroke-linecap="round"/>
                    </svg>`,
                    `<svg width="66" height="37" viewBox="0 0 66 37" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <rect x="0.0112305" width="65.0002" height="37" rx="18.5" fill="#E5D6B9"/>
                        <path d="M16.0112 18.5001H49.0112" stroke="white" stroke-width="1.5" stroke-linecap="round"/>
                        <path d="M41.9399 11L49.0114 18.5L41.9399 26" stroke="white" stroke-width="1.5" stroke-linecap="round"/>
                    </svg>`
                ],
                dots:true,
                margin:10,
                items:1
            }).css({'visibility':'visible'}).on('translated.owl.carousel', function() {
                item_position();
            });
            $('.slide-nav button').on('click', function(){
                item_position();
            });
            function item_position(){
                var position = $('.slide-nav .owl-item.active .position').val();
                $('.products-slide').trigger('to.owl.carousel', position);
            }
            function  item_position_nav(){
                var position = $('.products-slide .owl-item.active .position').val();
                $('.slide-nav').trigger('to.owl.carousel', position);
            }
        </script>
    <?php endif; ?>
</section>
                    