   
<?php
/**
 * 
 * Partial Name: services
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$services = get_field('services_content');
if($services['services_list']):
?>
<section class="services-partial-d90784">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="title-contain">
                    <h2><?= $services['title']; ?></h2>
                    <a href="<?= $services['link_page']['url']; ?>">
                        <span><?= $services['link_page']['title']; ?></span>
                        <svg xmlns="http://www.w3.org/2000/svg" width="34" height="17" viewBox="0 0 34 17" fill="none">
                            <path d="M0 8.5H33" stroke="#313131"/>
                            <path d="M25.9287 1L33.0001 8.5L25.9287 16" stroke="#313131"/>
                        </svg>
                    </a>
                </div>
                <div class="services">
                    <p><?= $services['description']; ?></p>
                    <div class="services-slide owl-carousel">
                        <?php foreach($services['services_list'] as $item): ?>
                            <div class="item">
                                <a href="<?= $item['link']['url']; ?>">
                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>" class="feature-image">
                                    <div class="text-contain">
                                        <img src="<?= $item['icon']['url']; ?>" alt="<?= $item['icon']['url']; ?>" class="icon">
                                        <span><?= $item['link']['title']; ?></span>
                                    </div>
                                </a>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<script>
    $('.services-slide').owlCarousel({
        autoplay:false,
        loop:false,
        nav:false,
        dots:false,
        responsive:{
            0:{
                items:1.4,
                center:true,
                margin:20,
            },
            768:{
                items:2,
                autoplay:true,
                loop:true,
                margin:40,
            },
            991:{
                items:3,
                margin:40
            }
        }
    })
</script>
<?php endif; ?>            